{% extends "wafer/base.html" %}
{% load i18n %}
{% load crispy_forms_tags %}
{% block extra_head %}
{{ form.media.css }}
{% endblock %}
{% block extra_foot %}
{{ form.media.js }}
<script type="text/javascript">
$(function() {
    var minDate = moment('2016-06-20 00:00');
    var maxDate = moment('2016-07-12 00:00');
    $('.datetimeinput').each(function() {
        var current_value = moment(this.value);
        if (!current_value.isValid() ||
                current_value.diff(minDate) < 0 ||
                current_value.diff(maxDate) > 0) {
            current_value = null;
        }
        $(this).datetimepicker({
            'locale': 'en-gb',
            'format': 'YYYY-MM-DD HH:mm',
            'extraFormats': ['YYYY-MM-DD HH:mm:ss'],
            'minDate': minDate,
            'maxDate': maxDate,
            'sideBySide': true,
            'defaultDate': current_value,
            'viewDate': '2016-06-20 00:00',
            'useCurrent': false,
            'inline': true
        });
    });
    $('#id_arrival').on('dp.change', function (e) {
        $('#id_departure').data('DateTimePicker').minDate(e.date);
    });
    $('#id_departure').on('dp.change', function (e) {
        $('#id_arrival').data('DateTimePicker').maxDate(e.date);
    });
});
</script>
{% endblock %}
{% block content %}
<h1>{% trans 'Registration:' %}</h1>
{% if not WAFER_REGISTRATION_OPEN %}
  {% trans "Registration is not currently open" %}
{% else %}
  <div class="row">
    <div class="col-sm-6">
      {% if form.errors %}
        <div class="alert alert-danger">
          <h2>You are not registered</h2>
          We were unable to process your registration.<br>
          Please check through the form, and correct any errors that have been
          flagged in red.
        </div>
      {% endif %}
      <div class="panel panel-info">
        <div class="panel-heading">Have questions?</div>
        <div class="panel-body">
          <p>
            Find us <a href="https://webchat.oftc.net/?channels=debconf">on IRC</a>.<br>
            Or e-mail the <a href="mailto:registration@debconf.org">Registration Team</a>.
          </p>
          <p>
            You can come back and edit this registration form, at any time
            until registration closes.
            If you're applying for a bursary, those details must be finalized
            before applications close.
          </p>
          <p>
            Please come back and put your final travel dates in, when you've
            booked tickets.
          </p>
        </div>
      </div>
      {% crispy form %}
    </div>
    <div class="col-sm-6">
      <div class="panel panel-default">
        <div class="panel-heading">User information&nbsp;&mdash;
          <a href="{% url 'wafer_user_edit' user.username %}" target="blank">Edit User</a>
        </div>
        <div class="panel-body">
          <p>The name on your badge and submitted talks</p>
          <ul>
            <li>{{ user.userprofile.display_name }}</li>
          </ul>
          <p>Contact e-mail address</p>
          <ul>
            <li>{{ user.email }}</li>
          </ul>
        </div>
      </div>
      <div class="panel panel-default">
        <div class="panel-heading">User Profile&nbsp;&mdash;
          <a href="{% url 'wafer_user_edit_profile' user.username %}" target="blank">Edit Profile</a>
        </div>
        <div class="panel-body">
          <p>Contact phone number</p>
          <ul>
            <li>{{ user.userprofile.contact_number|default:'None provided' }}</li>
          </ul>
        </div>
      </div>
    </div>
  </div>
{% endif %}
{% endblock %}
